Bug Hunting Session
Bug 120747 - Firefox themes: Show an image of the own theme
Summary: Firefox themes: Show an image of the own theme
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Firefox-Themes
  Show dependency treegraph
 
Reported: 2018-10-20 22:21 UTC by Thomas Lendo
Modified: 2019-05-23 19:44 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Proposal of enhancement for own theme area (screenshot manipulation) (133.58 KB, image/png)
2018-10-20 22:21 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2018-10-20 22:21:03 UTC
Created attachment 145874 [details]
Proposal of enhancement for own theme area (screenshot manipulation)

To have
* better indication which theme is selected,
* better comparability with the preinstalled themes
please show the image of the chosen 'own' theme beside or below the 'Own Theme' radio button.

This should only be an additional information to the existing name of the chosen theme and the hyperlink to the Firefox Add-ons page of the chosen theme. By the way, I suggest to drop the brackets on the left and right of the name.

Attached you'll find my quick drawn proposal for the own theme area with image, button and theme name incl. hyperlink.

If there is no 'own theme' selected, the image area should be blank (with or without a border as it's shown for the preinstalled themes images).


Version: 6.2.0.0.alpha0+
Build ID: 6baca63b44bf7f75a522b1adc4b4bbce502aec3b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from today
Comment 1 Thomas Lendo 2018-10-20 22:28:23 UTC
Adding needsUXEval for further input.

And as additional note:

I suggest to not delete the own theme and only to change the theme information until the user selects a new 'Own Theme'.

Choosing 'Default look' or 'Preinstalled Theme' shouldn't remove the previously selected 'Own Theme' because the user maybe wants to compare any of the preinstalled themes with the own theme. Removing any information forcedly results in a new search for the previously selected own theme what should be avoided.
Comment 2 andreas_k 2018-10-20 22:46:05 UTC
yes please

but I would do the same layout as for preinstalled themes in the own themes section cause you can download more than one theme from personas webpage.

Theme name via tooltip as it is in preinstalled themes. So from my point of view the own theme section can have the same layout than the preinstalled themes.
Comment 3 Heiko Tietze 2018-10-22 10:57:27 UTC
Looks good. Would add a static label, aka title, above/left of the theme name - or go with a tooltip as Andreas suggests. 

AFAIK we cannot "install" more than one FF theme.
Comment 4 andreas_k 2018-10-22 11:01:12 UTC
but you have more than one online theme downloaded so I suggest to show all downloaded themes (maybe with an remove action).
Comment 5 Muhammet Kara 2018-10-23 11:17:59 UTC
I suggest keeping bug reports for requests as simple as possible. Please try not to go out of the original scope. Create new bug reports for further ideas, and link them via the See Also links instead.

IMHO, this approach makes the developers' work much easier, hence lowers the time-until-resolved drastically.
Comment 6 andreas_k 2018-10-25 13:30:30 UTC
The proposal from thomas work quite well. Would be nice.
Comment 7 Commit Notification 2018-10-26 11:48:58 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39d8e5e574c7f445c4d34a7a72d6ac40e3364ddb

Towards solving tdf#120747: Remember the preview file of persona

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-11-26 16:38:08 UTC
A polite ping to Muhammet Kara:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 9 Xisco Faulí 2019-01-17 12:12:46 UTC
(In reply to Xisco Faulí from comment #8)
> A polite ping to Muhammet Kara:
> Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
> Otherwise, Could you please explain what's missing?
> Thanks

Ping ?
Comment 10 Cor Nouws 2019-01-20 21:30:43 UTC
Hi Muhammet,

(In reply to Commit Notification from comment #7)

> Affected users are encouraged to test the fix and report feedback.
I see no indication (as suggested in attachment https://bug-attachments.documentfoundation.org/attachment.cgi?id=145874) in Version: 6.2.0.1 and versioin 6.3.0.0.alpha0+
Build ID: b8e450a54936560cdac00ab4c70ef80c20cfaf99
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-18_06:04:42
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded

@xisco: as far as I see, not yet fixed.
Comment 11 Muhammet Kara 2019-01-21 20:30:52 UTC
Hi Xisco & Cor,

(In reply to Xisco Faulí from comment #9)
> (In reply to Xisco Faulí from comment #8)
> > A polite ping to Muhammet Kara:
> > Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
> > Otherwise, Could you please explain what's missing?
> > Thanks
> 
> Ping ?

Oh. Sorry for the late reply. Not completed yet. It needs one more patch. The first patch prepared the ground.

(In reply to Cor Nouws from comment #10)

> Hi Muhammet,
> 
> (In reply to Commit Notification from comment #7)
> 
> > Affected users are encouraged to test the fix and report feedback.
> I see no indication (as suggested in attachment
> https://bug-attachments.documentfoundation.org/attachment.cgi?id=145874) in
> Version: 6.2.0.1 and versioin 6.3.0.0.alpha0+
> Build ID: b8e450a54936560cdac00ab4c70ef80c20cfaf99
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
> 2019-01-18_06:04:42
> Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> @xisco: as far as I see, not yet fixed.

That's right. Thank you for the confirmation.
Comment 12 Muhammet Kara 2019-02-05 17:41:05 UTC
(In reply to Muhammet Kara from comment #11)
> Hi Xisco & Cor,
> 
> (In reply to Xisco Faulí from comment #9)
> > (In reply to Xisco Faulí from comment #8)
> > > A polite ping to Muhammet Kara:
> > > Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
> > > Otherwise, Could you please explain what's missing?
> > > Thanks
> > 
> > Ping ?
> 
> Oh. Sorry for the late reply. Not completed yet. It needs one more patch.
> The first patch prepared the ground.
> 
> (In reply to Cor Nouws from comment #10)
> 
> > Hi Muhammet,
> > 
> > (In reply to Commit Notification from comment #7)
> > 
> > > Affected users are encouraged to test the fix and report feedback.
> > I see no indication (as suggested in attachment
> > https://bug-attachments.documentfoundation.org/attachment.cgi?id=145874) in
> > Version: 6.2.0.1 and versioin 6.3.0.0.alpha0+
> > Build ID: b8e450a54936560cdac00ab4c70ef80c20cfaf99
> > CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> > TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
> > 2019-01-18_06:04:42
> > Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
> > Calc: threaded
> > 
> > @xisco: as far as I see, not yet fixed.
> 
> That's right. Thank you for the confirmation.

Mostly, only the visual changes left. Now we have the info of the applied theme. Anyone who is interested can take this bug.

Leaving for later for now.
Comment 13 Heiko Tietze 2019-03-12 09:24:32 UTC
Ideally, we have a couple of preinstalled themes with an indicator (eg. a checkmark icon overlay) to highlight the active (120741). And easy means to add themes to this set per extension. Doing so makes this request obsolete; but keeping it alive for now.
Comment 14 Thomas Lendo 2019-03-12 19:18:16 UTC
(In reply to Heiko Tietze from comment #13)
> Ideally, we have a couple of preinstalled themes with an indicator (eg. a
> checkmark icon overlay) to highlight the active (120741). And easy means to
> add themes to this set per extension. Doing so makes this request obsolete;
> but keeping it alive for now.
I don't understand your comment, Heiko. What have the preinstalled themes to do with this request? The core of it is to show a preview of the activated theme if it's not a preinstalled one but one from the web. If a preinstalled theme is activated, no preview image must be shown additionally.
Comment 15 Muhammet Kara 2019-05-23 18:59:42 UTC
Firefox/Mozilla personas feature was removed as per ESC and Design Team decisions.

Related patch: https://gerrit.libreoffice.org/#/c/72811/

Related bug report: https://bugs.documentfoundation.org/show_bug.cgi?id=125217
Comment 16 andreas_k 2019-05-23 19:44:53 UTC
I hope we get an LibreOffice theme manager instead of Firefox personas